
%global _hardened_build		1

Name:		nfdump
Version:	1.6.11
Release:	1%{?dist}
Summary:	NetFlow collecting and processing tools

Group:		Applications/System
License:	BSD, GPLv2
URL:		http://sourceforge.net/projects/nfdump/
Source0:	http://sourceforge.net/projects/nfdump/%{name}-%{version}.tar.gz

%{?el5:BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root}

BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	zlib-devel
BuildRequires:	rrdtool-devel
BuildRequires:	libpcap-devel


%description
Nfdump is a set of tools to collect and process NetFlow data. It's fast and has
a powerful filter pcap like syntax. It supports NetFlow versions v1, v5, v7, v9
and IPFIX as well as a limited set of sflow. It includes support for CISCO ASA
(NSEL) and CISCO NAT (NEL) devices which export event logging records as v9
flows. Nfdump is fully IPv6 compatible.


%prep
%setup -q


%build
%configure \
    --enable-nel \
    --enable-nsel \
    --enable-nfprofile \
    --enable-nftrack \
    --enable-sflow \
    --enable-readpcap \
    --enable-nfpcapd

make %{?_smp_mflags}


%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
make install DESTDIR=%{buildroot}
chmod 0644 AUTHORS ChangeLog README

%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif


%files
%defattr(-,root,root,-)
%doc AUTHORS BSD-license.txt ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Wed Feb 05 2014 Denis Fateyev <denis@fateyev.com> - 1.6.11-1
- Initial Fedora RPM release
